/*
 * Copyright 2013 Canonical Ltd.
 *
 * This file is part of ubuntu-calculator-app.
 *
 * ubuntu-calculator-app is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 3.
 *
 * ubuntu-calculator-app is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

import QtQuick 2.0
import Ubuntu.Components 0.1

Rectangle {
    id: buttonRect
    width: units.gu(9)
    height: units.gu(6)
    radius: units.gu(1)
    color: buttonMA.pressed ? "#c0c0c0" : "white"

    property alias text: buttonText.text

    signal clicked()
    signal pressAndHold()

    Text {
        id: buttonText
        anchors.centerIn: parent
        color: "#dd4814"
        font.pixelSize: units.gu(3)
    }

    MouseArea {
        id: buttonMA
        anchors.fill: parent
        onClicked: buttonRect.clicked()
        onPressAndHold: buttonRect.pressAndHold();
    }
}
