/*
 * Copyright 2013 Canonical Ltd.
 *
 * This file is part of ubuntu-calculator-app.
 *
 * ubuntu-calculator-app is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 3.
 *
 * ubuntu-calculator-app is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

import QtQuick 2.0

Flickable {
    id: keyboardsView
    width: parent.width
    clip: true

    contentWidth: stdKeyboard.width
    contentHeight: stdKeyboard.height

    property double buttonRowHeight: units.gu(8);
    property double targetPosition
 
    onMovementEnded: {
       var stopPositionInRow = contentY % buttonRowHeight;
       if( Math.abs(stopPositionInRow) > (buttonRowHeight/2)) {
            targetPosition = contentY+(buttonRowHeight - stopPositionInRow)
       }
       else {
            targetPosition = contentY -stopPositionInRow
       }
       snap.start();
    }

    NumberAnimation {id: snap; target: keyboardsView; property: "contentY"; to: targetPosition }

    StdKeyboard {
        id: stdKeyboard
        width: keyboardsView.width
    }
}
