/*
 * Copyright 2013 Canonical Ltd.
 *
 * This file is part of ubuntu-calculator-app.
 *
 * ubuntu-calculator-app is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 3.
 *
 * ubuntu-calculator-app is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

import QtQuick 2.0
import QtTest 1.0
import ".."

TestCase{
    Storage{
        id: storage
    }

    property int lastId: -1;

    function benchmark_save() {
        var calc = {"dbId": -1,"isLastItem":false,"mainLabel":"","answer":"1499","operators":[{"_number":"900","_operation":"","_text":"multiplications"},{"_number":"300","_operation":"+","_text":"are not so"},{"_number":"2","_operation":"×","_text":"clear to "},{"_number":"1","_operation":"−","_text":"understand"}]};
        var res = storage.saveCalculation(calc, new Date().getTime());
        lastId = res;
    }

    onLastIdChanged: {
        if(lastId != -1)
            storage.removeCalculation({"dbId": lastId});
    }

}
